apparently some systems may have ncurses that doesn't provide backwards compat